aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/sbin
diff options
context:
space:
mode:
authorFlorian Fainelli <florian@openwrt.org>2010-12-05 11:22:56 +0000
committerFlorian Fainelli <florian@openwrt.org>2010-12-05 11:22:56 +0000
commitbceed84c5efcae1c29e5622de9a26b47838f7b89 (patch)
tree1e9039b3c82c8a41200c2670e1dd242b1ff4f590 /package/base-files/files/sbin
parenta2ac1d5f6410f15bf0115403d8c386a537ec19e7 (diff)
downloadmaster-187ad058-bceed84c5efcae1c29e5622de9a26b47838f7b89.tar.gz
master-187ad058-bceed84c5efcae1c29e5622de9a26b47838f7b89.tar.bz2
master-187ad058-bceed84c5efcae1c29e5622de9a26b47838f7b89.zip
[package] adds a --help option to /sbin/wifi
Signed-off-by: Sebastian Philipp <sebastian@spawnhost.de> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@24258 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files/sbin')
-rwxr-xr-xpackage/base-files/files/sbin/wifi9
1 files changed, 9 insertions, 0 deletions
diff --git a/package/base-files/files/sbin/wifi b/package/base-files/files/sbin/wifi
index bee6c28352..e2dd0a32d5 100755
--- a/package/base-files/files/sbin/wifi
+++ b/package/base-files/files/sbin/wifi
@@ -3,6 +3,14 @@
. /etc/functions.sh
+usage() {
+ cat <<EOF
+Usage: $0 [down|detect]
+enables (default), disables or detects a wifi configuration.
+EOF
+ exit 1
+}
+
find_net_config() {(
local vif="$1"
local cfg
@@ -183,5 +191,6 @@ scan_wifi
case "$1" in
down) wifi_updown "disable" "$2";;
detect) wifi_detect "$2";;
+ --help|help) usage;;
*) wifi_updown "enable" "$2";;
esac